List Profiles
curl --request GET \
--url https://api.example.com/api/profilesimport requests
url = "https://api.example.com/api/profiles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "user-123",
"summary": "Alex is an experienced software engineer...",
"summaryVersion": 3,
"summaryUpdatedAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
],
"total": 1
}
Profile API
List Profiles
List all user profiles
GET
/
api
/
profiles
List Profiles
Overview
Returns a paginated list of all user profiles.Query Parameters
number
default:"20"
Maximum number of profiles to return
number
default:"0"
Number of profiles to skip
string
Search by external ID
Response
{
"profiles": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "user-123",
"summary": "Alex is an experienced software engineer...",
"summaryVersion": 3,
"summaryUpdatedAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
],
"total": 1
}
Example
curl "https://api.yourserver.com/api/profiles?limit=10&offset=0" \
-H "Authorization: Bearer gp_your_key"
⌘I